Bug 24642 - GCC bug: kernel panic(DAC960 driver) during the installation of beta2
GCC bug: kernel panic(DAC960 driver) during the installation of beta2
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Florence RC-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-22 15:55 EST by Bill Huang
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-01 12:23:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Huang 2001-01-22 15:55:51 EST
(This bug is reported by Hitachi beta test team)
Test enviroment:
Machine:Hitachi HA8000/70 D3
RAID Controllar:Mylex AR160

When installar is started,it tells that

Loading SCSI driver
Loading DAC960 driver!D
Kernel panic: DAC960: Logical Drive Block Size 0 not supported

BTW,Miracle Linux 1.0 can be properly installed on this machine.

Hitachi HA serials:
http://www.hitachi.co.jp/Prod/comp/OSD/pc/ha8000/index-j.htm
Hitachi FLORA serials:
http://www.hitachi.co.jp/Prod/comp/OSD/pc/index-j.htm
Comment 1 Glen Foster 2001-01-23 12:43:54 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 2 Arjan van de Ven 2001-02-01 12:13:13 EST
Silviu Marin-Caea <silviu@delrom.ro>
On Thu, 1 Feb 2001 15:31:44 +0000 (GMT)
Alan Cox <alan@lxorguk.ukuu.org.uk> wrote:

> Which compiler out of curiosity

Works with kgcc.  Thank you Alan.


Comment 3 Arjan van de Ven 2001-02-01 12:23:27 EST
I checked the sizeof() of the structure in question. It is 256 bytes, which
looks right. However, the driver assumes "layout in struct is exactly the layout
in hardware" while using bitfields and the like. Not that this behavior should
have changed in gcc 2.96, but it is very unportable still.
Comment 4 Matt Wilson 2001-02-07 14:05:36 EST
fixed in gcc-2.96-74.  New kernel src.rpms will buildprereq this version.

Note You need to log in before you can comment on or make changes to this bug.